# phpDox - Query\QueryBuilderInterface::getCompiledInsert

# Query\QueryBuilderInterface::getCompiledInsert

#### Returns the generated 'insert' sql query

## Signature

`public function getCompiledInsert(string $table, [boolean $reset = TRUE] )`

## Parameters

`$table` — string
`$reset` — boolean

## Returns

string

## Violations

### PHPMessDetector

Line | Rule | Message
--- | --- | ---
471 | BooleanArgumentFlag | The method getCompiledInsert has a boolean flag argument $reset, which is a certain sign of a Single Responsibility Principle violation.